mnoGoSearch 3.2.39 reference manual: Full-featured search engine software
Prev |  | Next

# Period

## Name

Period -- defines reindex period

indexer.conf

## Synopsis

Period {time}

## Description

Set reindex period. time is in the form 'xxxA[yyyB[zzzC]]' (Spaces are allowed between xxx and A and yyy and so on) there xxx, yyy, zzz are numbers (can be negative!) A, B, C can be one of the following: s - second M - minute h - hour d - day m - month y - year (these letters are the same as in strptime/strftime functions) If you specify only number without any character, it is assumed that time is given in seconds.

Can be set many times before "Server" command and takes effect till the end of config file or till next Period command.

## Examples

    # 15s - 15 seconds
    # 4h30M - 4 hours and 30 minutes
    # 1y6m-15d - 1 year and six month minus 15 days
    # 1h-10M+1s - 1 hour minus 10 minutes plus 1 second
    Period 7d

Prev | Home | Next
ParserTimeOut | Up | PopRankFeedBack